Summary: Security Analyst Network Connection Profiler
Name: sancp
Version: 1.5.6
Release: fc2_1
Copyright: GPL
Group: Applications/Internet
Source0: http://www.metre.net/files/%{name}-%{version}.tar.gz
Source1: sancpd
Url: http://www.metre.net/sancp.html
BuildRoot: /var/tmp/%{name}-root
Prefix: /usr
Packager: Ralf Spenneberg <ralf@spenneberg.de> - OpenSource Security

%description
This is a network security tool designed to collect statistical information
regarding network traffic, as well as, collect the traffic itself in pcap
format, all for the purpose of: auditing, historical analysis, and network
activity discovery. Rules can be used to distinguish normal from abnormal
traffic and support tagging connections with: rule id, node id, and status id.
From an intrusion detection standpoint, every connection is an event that
must be validated through some means. Sancp uses rules to identify, record,
and tag traffic of interest. 'Tagging' a connection is a new feature since v1.4.0
Connections ('stats') can be loaded into a database for further analysis. 

%prep
%setup -q -n %{name}-%{version} -c

%build
#CFLAGS="$RPM_OPT_FLAGS" \
cd %{name}
make

%install
cd %{name}
rm -rf  $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/etc/init.d
mkdir -p $RPM_BUILD_ROOT/usr/bin
mkdir -p $RPM_BUILD_ROOT/etc/sancp
mkdir -p $RPM_BUILD_ROOT/var/log/sancp
install -D -C sancp $RPM_BUILD_ROOT/usr/bin/sancp
install -D -C etc/sancp/sancp.conf $RPM_BUILD_ROOT/etc/sancp/sancp.conf
install -D -C $RPM_SOURCE_DIR/sancpd $RPM_BUILD_ROOT/etc/init.d/sancpd
cp -a LICENSE contrib docs ..
%clean
if [ "$RPM_BUILD_ROOT" = "/var/tmp/%{name}-root" ]; then
	rm -rf $RPM_BUILD_ROOT
else
	echo Invalid Build root
	exit 1
fi
						
%pre
grep -q '^sancp:' /etc/passwd || useradd sancp

%postun
grep -q '^sancp:' /etc/passwd && userdel -r sancp


%files
%defattr(-,root,root)
%doc LICENSE contrib/ docs/
%attr(755,root,root)       /usr/bin/*
%attr(644,sancp,sancp) %config /etc/sancp/sancp.conf
%attr(755,root,wheel) %config /etc/init.d/sancpd
%attr(755,sancp,sancp) /var/log/sancp

%changelog
* Sun Sep 05 2004 Ralf Spenneberg <ralf@spenneberg.net>
- first release

